<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_13) on Fri Feb 08 19:40:59 CET 2008 -->
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<TITLE>
HttpURLConnection (HttpClient 3.1 API)
</TITLE>

<META NAME="keywords" CONTENT="org.apache.commons.httpclient.util.HttpURLConnection class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="HttpURLConnection (HttpClient 3.1 API)";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/HttpURLConnection.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/util/ExceptionUtil.html" title="class in org.apache.commons.httpclient.util"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/util/IdleConnectionHandler.html" title="class in org.apache.commons.httpclient.util"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient/util/HttpURLConnection.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="HttpURLConnection.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_java.net.HttpURLConnection">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.commons.httpclient.util</FONT>
<BR>
Class HttpURLConnection</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">java.net.URLConnection</A>
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html" title="class or interface in java.net">java.net.HttpURLConnection</A>
          <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.commons.httpclient.util.HttpURLConnection</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>HttpURLConnection</B><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html" title="class or interface in java.net">HttpURLConnection</A></DL>
</PRE>

<P>
Provides a <code>HttpURLConnection</code> wrapper around HttpClient's
 <code>HttpMethod</code>. This allows existing code to easily switch to
 HttpClieht without breaking existing interfaces using the JDK
 <code>HttpURLConnection</code>.

 Note 1: The current implementations wraps only a connected
 <code>HttpMethod</code>, ie a method that has alreayd been used to connect
 to an HTTP server.

 Note 2: It is a best try effort as different version of the JDK have
 different behaviours for <code>HttpURLConnection</code> (And I'm not even
 including the numerous <code>HttpURLConnection</code> bugs!).
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>2.0</DD>
<DT><B>Version:</B></DT>
  <DD>$Id: HttpURLConnection.java 608014 2008-01-02 05:48:53Z rolandw $</DD>
<DT><B>Author:</B></DT>
  <DD><a href="mailto:vmassol@apache.org">Vincent Massol</a>, <a href="mailto:jsdever@apache.org">Jeff Dever</a>, <a href="mailto:mbowler@GargoyleSoftware.com">Mike Bowler</a></DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_java.net.HttpURLConnection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class java.net.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html" title="class or interface in java.net">HttpURLConnection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#chunkLength" title="class or interface in java.net">chunkLength</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#fixedContentLength" title="class or interface in java.net">fixedContentLength</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_ACCEPTED" title="class or interface in java.net">HTTP_ACCEPTED</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_BAD_GATEWAY" title="class or interface in java.net">HTTP_BAD_GATEWAY</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_BAD_METHOD" title="class or interface in java.net">HTTP_BAD_METHOD</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_BAD_REQUEST" title="class or interface in java.net">HTTP_BAD_REQUEST</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_CLIENT_TIMEOUT" title="class or interface in java.net">HTTP_CLIENT_TIMEOUT</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_CONFLICT" title="class or interface in java.net">HTTP_CONFLICT</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_CREATED" title="class or interface in java.net">HTTP_CREATED</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_ENTITY_TOO_LARGE" title="class or interface in java.net">HTTP_ENTITY_TOO_LARGE</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_FORBIDDEN" title="class or interface in java.net">HTTP_FORBIDDEN</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_GATEWAY_TIMEOUT" title="class or interface in java.net">HTTP_GATEWAY_TIMEOUT</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_GONE" title="class or interface in java.net">HTTP_GONE</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_INTERNAL_ERROR" title="class or interface in java.net">HTTP_INTERNAL_ERROR</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_LENGTH_REQUIRED" title="class or interface in java.net">HTTP_LENGTH_REQUIRED</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_MOVED_PERM" title="class or interface in java.net">HTTP_MOVED_PERM</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_MOVED_TEMP" title="class or interface in java.net">HTTP_MOVED_TEMP</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_MULT_CHOICE" title="class or interface in java.net">HTTP_MULT_CHOICE</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_NO_CONTENT" title="class or interface in java.net">HTTP_NO_CONTENT</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_NOT_ACCEPTABLE" title="class or interface in java.net">HTTP_NOT_ACCEPTABLE</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_NOT_AUTHORITATIVE" title="class or interface in java.net">HTTP_NOT_AUTHORITATIVE</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_NOT_FOUND" title="class or interface in java.net">HTTP_NOT_FOUND</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_NOT_IMPLEMENTED" title="class or interface in java.net">HTTP_NOT_IMPLEMENTED</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_NOT_MODIFIED" title="class or interface in java.net">HTTP_NOT_MODIFIED</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_OK" title="class or interface in java.net">HTTP_OK</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_PARTIAL" title="class or interface in java.net">HTTP_PARTIAL</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_PAYMENT_REQUIRED" title="class or interface in java.net">HTTP_PAYMENT_REQUIRED</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_PRECON_FAILED" title="class or interface in java.net">HTTP_PRECON_FAILED</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_PROXY_AUTH" title="class or interface in java.net">HTTP_PROXY_AUTH</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_REQ_TOO_LONG" title="class or interface in java.net">HTTP_REQ_TOO_LONG</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_RESET" title="class or interface in java.net">HTTP_RESET</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_SEE_OTHER" title="class or interface in java.net">HTTP_SEE_OTHER</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_SERVER_ERROR" title="class or interface in java.net">HTTP_SERVER_ERROR</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_UNAUTHORIZED" title="class or interface in java.net">HTTP_UNAUTHORIZED</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_UNAVAILABLE" title="class or interface in java.net">HTTP_UNAVAILABLE</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_UNSUPPORTED_TYPE" title="class or interface in java.net">HTTP_UNSUPPORTED_TYPE</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_USE_PROXY" title="class or interface in java.net">HTTP_USE_PROXY</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HTTP_VERSION" title="class or interface in java.net">HTTP_VERSION</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#instanceFollowRedirects" title="class or interface in java.net">instanceFollowRedirects</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#responseCode" title="class or interface in java.net">responseCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#responseMessage" title="class or interface in java.net">responseMessage</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_java.net.URLConnection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class java.net.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#allowUserInteraction" title="class or interface in java.net">allowUserInteraction</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#connected" title="class or interface in java.net">connected</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#doInput" title="class or interface in java.net">doInput</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#doOutput" title="class or interface in java.net">doOutput</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#ifModifiedSince" title="class or interface in java.net">ifModifiedSince</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#useCaches" title="class or interface in java.net">useCaches</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#HttpURLConnection(org.apache.commons.httpclient.HttpMethod, java.net.URL)">HttpURLConnection</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient">HttpMethod</A>&nbsp;method,
                  <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URL.html" title="class or interface in java.net">URL</A>&nbsp;url)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates an <code>HttpURLConnection</code> from a <code>HttpMethod</code>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected </CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#HttpURLConnection(java.net.URL)">HttpURLConnection</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URL.html" title="class or interface in java.net">URL</A>&nbsp;url)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create an instance.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#connect()">connect</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not available: the data must have already been retrieved.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#disconnect()">disconnect</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not yet implemented.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getAllowUserInteraction()">getAllowUserInteraction</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not yet implemented.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getContent()">getContent</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not yet implemented.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getContent(java.lang.Class[])">getContent</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>[]&nbsp;classes)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not yet implemented.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getDefaultUseCaches()">getDefaultUseCaches</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not available: the data must have already been retrieved.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getDoInput()">getDoInput</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not yet implemented.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getDoOutput()">getDoOutput</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not yet implemented.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getErrorStream()">getErrorStream</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not yet implemented.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getHeaderField(int)">getHeaderField</A></B>(int&nbsp;position)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return the header field at the specified position</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getHeaderField(java.lang.String)">getHeaderField</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return the header field</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getHeaderFieldKey(int)">getHeaderFieldKey</A></B>(int&nbsp;keyPosition)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return the header field key</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;long</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getIfModifiedSince()">getIfModifiedSince</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not yet implemented.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getInputStream()">getInputStream</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gets an input stream for the HttpMethod response body.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getInstanceFollowRedirects()">getInstanceFollowRedirects</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not yet implemented.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getOutputStream()">getOutputStream</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/security/Permission.html" title="class or interface in java.security">Permission</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getPermission()">getPermission</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not yet implemented.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getRequestMethod()">getRequestMethod</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return the request method.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getRequestProperty(java.lang.String)">getRequestProperty</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not yet implemented.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getResponseCode()">getResponseCode</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return the response code.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getResponseMessage()">getResponseMessage</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return the response message</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URL.html" title="class or interface in java.net">URL</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getURL()">getURL</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return the URL</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#getUseCaches()">getUseCaches</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not yet implemented.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#setAllowUserInteraction(boolean)">setAllowUserInteraction</A></B>(boolean&nbsp;isAllowInteraction)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not available: the data must have already been retrieved.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#setDefaultUseCaches(boolean)">setDefaultUseCaches</A></B>(boolean&nbsp;isUsingCaches)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not available: the data must have already been retrieved.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#setDoInput(boolean)">setDoInput</A></B>(boolean&nbsp;isInput)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not available: the data must have already been retrieved.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#setDoOutput(boolean)">setDoOutput</A></B>(boolean&nbsp;isOutput)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not available: the data must have already been retrieved.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#setIfModifiedSince(long)">setIfModifiedSince</A></B>(long&nbsp;modificationDate)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not available: the data must have already been retrieved.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#setInstanceFollowRedirects(boolean)">setInstanceFollowRedirects</A></B>(boolean&nbsp;isFollowingRedirects)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not available: the data must have already been retrieved.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#setRequestMethod(java.lang.String)">setRequestMethod</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;method)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not available: the data must have already been retrieved.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#setRequestProperty(java.lang.String, java.lang.String)">setRequestProperty</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;key,
                   <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not available: the data must have already been retrieved.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#setUseCaches(boolean)">setUseCaches</A></B>(boolean&nbsp;isUsingCaches)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not available: the data must have already been retrieved.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/util/HttpURLConnection.html#usingProxy()">usingProxy</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Not yet implemented.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.net.HttpURLConnection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.net.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html" title="class or interface in java.net">HttpURLConnection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#getFollowRedirects()" title="class or interface in java.net">getFollowRedirects</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#getHeaderFieldDate(java.lang.String, long)" title="class or interface in java.net">getHeaderFieldDate</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#setChunkedStreamingMode(int)" title="class or interface in java.net">setChunkedStreamingMode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#setFixedLengthStreamingMode(int)" title="class or interface in java.net">setFixedLengthStreamingMode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#setFollowRedirects(boolean)" title="class or interface in java.net">setFollowRedirects</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.net.URLConnection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.net.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#addRequestProperty(java.lang.String, java.lang.String)" title="class or interface in java.net">addRequestProperty</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getConnectTimeout()" title="class or interface in java.net">getConnectTimeout</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getContentEncoding()" title="class or interface in java.net">getContentEncoding</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getContentLength()" title="class or interface in java.net">getContentLength</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getContentType()" title="class or interface in java.net">getContentType</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getDate()" title="class or interface in java.net">getDate</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getDefaultAllowUserInteraction()" title="class or interface in java.net">getDefaultAllowUserInteraction</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getDefaultRequestProperty(java.lang.String)" title="class or interface in java.net">getDefaultRequestProperty</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getExpiration()" title="class or interface in java.net">getExpiration</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getFileNameMap()" title="class or interface in java.net">getFileNameMap</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getHeaderFieldInt(java.lang.String, int)" title="class or interface in java.net">getHeaderFieldInt</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getHeaderFields()" title="class or interface in java.net">getHeaderFields</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getLastModified()" title="class or interface in java.net">getLastModified</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getReadTimeout()" title="class or interface in java.net">getReadTimeout</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getRequestProperties()" title="class or interface in java.net">getRequestProperties</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#guessContentTypeFromName(java.lang.String)" title="class or interface in java.net">guessContentTypeFromName</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#guessContentTypeFromStream(java.io.InputStream)" title="class or interface in java.net">guessContentTypeFromStream</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setConnectTimeout(int)" title="class or interface in java.net">setConnectTimeout</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setContentHandlerFactory(java.net.ContentHandlerFactory)" title="class or interface in java.net">setContentHandlerFactory</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setDefaultAllowUserInteraction(boolean)" title="class or interface in java.net">setDefaultAllowUserInteraction</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setDefaultRequestProperty(java.lang.String, java.lang.String)" title="class or interface in java.net">setDefaultRequestProperty</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setFileNameMap(java.net.FileNameMap)" title="class or interface in java.net">setFileNameMap</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setReadTimeout(int)" title="class or interface in java.net">setReadTimeout</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#toString()" title="class or interface in java.net">toString</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="HttpURLConnection(org.apache.commons.httpclient.HttpMethod, java.net.URL)"><!-- --></A><H3>
HttpURLConnection</H3>
<PRE>
public <B>HttpURLConnection</B>(<A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html" title="interface in org.apache.commons.httpclient">HttpMethod</A>&nbsp;method,
                         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URL.html" title="class or interface in java.net">URL</A>&nbsp;url)</PRE>
<DL>
<DD>Creates an <code>HttpURLConnection</code> from a <code>HttpMethod</code>.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>method</CODE> - the theMethod that was used to connect to the HTTP
        server and which contains the returned data.<DD><CODE>url</CODE> - the URL to which we are connected (includes query string)</DL>
</DL>
<HR>

<A NAME="HttpURLConnection(java.net.URL)"><!-- --></A><H3>
HttpURLConnection</H3>
<PRE>
protected <B>HttpURLConnection</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URL.html" title="class or interface in java.net">URL</A>&nbsp;url)</PRE>
<DL>
<DD>Create an instance.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>url</CODE> - The URL.<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#HttpURLConnection(java.net.URL)" title="class or interface in java.net"><CODE>HttpURLConnection.HttpURLConnection(URL)</CODE></A></DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getInputStream()"><!-- --></A><H3>
getInputStream</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A> <B>getInputStream</B>()
                           throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Gets an input stream for the HttpMethod response body.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getInputStream()" title="class or interface in java.net">getInputStream</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The input stream.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - If an IO problem occurs.<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getInputStream()" title="class or interface in java.net"><CODE>URLConnection.getInputStream()</CODE></A>, 
<A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html#getResponseBodyAsStream()"><CODE>HttpMethod.getResponseBodyAsStream()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getErrorStream()"><!-- --></A><H3>
getErrorStream</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/InputStream.html" title="class or interface in java.io">InputStream</A> <B>getErrorStream</B>()</PRE>
<DL>
<DD>Not yet implemented.
 Return the error stream.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#getErrorStream()" title="class or interface in java.net">getErrorStream</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html" title="class or interface in java.net">HttpURLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#getErrorStream()" title="class or interface in java.net"><CODE>HttpURLConnection.getErrorStream()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="disconnect()"><!-- --></A><H3>
disconnect</H3>
<PRE>
public void <B>disconnect</B>()</PRE>
<DL>
<DD>Not yet implemented.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#disconnect()" title="class or interface in java.net">disconnect</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html" title="class or interface in java.net">HttpURLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#disconnect()" title="class or interface in java.net"><CODE>HttpURLConnection.disconnect()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="connect()"><!-- --></A><H3>
connect</H3>
<PRE>
public void <B>connect</B>()
             throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Not available: the data must have already been retrieved.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#connect()" title="class or interface in java.net">connect</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - If an IO problem occurs.<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#connect()" title="class or interface in java.net"><CODE>URLConnection.connect()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="usingProxy()"><!-- --></A><H3>
usingProxy</H3>
<PRE>
public boolean <B>usingProxy</B>()</PRE>
<DL>
<DD>Not yet implemented.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#usingProxy()" title="class or interface in java.net">usingProxy</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html" title="class or interface in java.net">HttpURLConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>true if we are using a proxy.<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#usingProxy()" title="class or interface in java.net"><CODE>HttpURLConnection.usingProxy()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getRequestMethod()"><!-- --></A><H3>
getRequestMethod</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>getRequestMethod</B>()</PRE>
<DL>
<DD>Return the request method.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#getRequestMethod()" title="class or interface in java.net">getRequestMethod</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html" title="class or interface in java.net">HttpURLConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The request method.<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#getRequestMethod()" title="class or interface in java.net"><CODE>HttpURLConnection.getRequestMethod()</CODE></A>, 
<A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html#getName()"><CODE>HttpMethod.getName()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getResponseCode()"><!-- --></A><H3>
getResponseCode</H3>
<PRE>
public int <B>getResponseCode</B>()
                    throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Return the response code.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#getResponseCode()" title="class or interface in java.net">getResponseCode</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html" title="class or interface in java.net">HttpURLConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The response code.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - If an IO problem occurs.<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#getResponseCode()" title="class or interface in java.net"><CODE>HttpURLConnection.getResponseCode()</CODE></A>, 
<A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html#getStatusCode()"><CODE>HttpMethod.getStatusCode()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getResponseMessage()"><!-- --></A><H3>
getResponseMessage</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>getResponseMessage</B>()
                          throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Return the response message
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#getResponseMessage()" title="class or interface in java.net">getResponseMessage</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html" title="class or interface in java.net">HttpURLConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The response message
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE> - If an IO problem occurs.<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#getResponseMessage()" title="class or interface in java.net"><CODE>HttpURLConnection.getResponseMessage()</CODE></A>, 
<A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html#getStatusText()"><CODE>HttpMethod.getStatusText()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getHeaderField(java.lang.String)"><!-- --></A><H3>
getHeaderField</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>getHeaderField</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</PRE>
<DL>
<DD>Return the header field
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getHeaderField(java.lang.String)" title="class or interface in java.net">getHeaderField</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - the name of the header
<DT><B>Returns:</B><DD>the header field.<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getHeaderField(java.lang.String)" title="class or interface in java.net"><CODE>URLConnection.getHeaderField(String)</CODE></A>, 
<A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html#getResponseHeaders()"><CODE>HttpMethod.getResponseHeaders()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getHeaderFieldKey(int)"><!-- --></A><H3>
getHeaderFieldKey</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>getHeaderFieldKey</B>(int&nbsp;keyPosition)</PRE>
<DL>
<DD>Return the header field key
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#getHeaderFieldKey(int)" title="class or interface in java.net">getHeaderFieldKey</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html" title="class or interface in java.net">HttpURLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>keyPosition</CODE> - The key position
<DT><B>Returns:</B><DD>The header field key.<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#getHeaderFieldKey(int)" title="class or interface in java.net"><CODE>HttpURLConnection.getHeaderFieldKey(int)</CODE></A>, 
<A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html#getResponseHeaders()"><CODE>HttpMethod.getResponseHeaders()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getHeaderField(int)"><!-- --></A><H3>
getHeaderField</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>getHeaderField</B>(int&nbsp;position)</PRE>
<DL>
<DD>Return the header field at the specified position
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#getHeaderField(int)" title="class or interface in java.net">getHeaderField</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html" title="class or interface in java.net">HttpURLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>position</CODE> - The position
<DT><B>Returns:</B><DD>The header field.<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#getHeaderField(int)" title="class or interface in java.net"><CODE>HttpURLConnection.getHeaderField(int)</CODE></A>, 
<A HREF="../../../../../org/apache/commons/httpclient/HttpMethod.html#getResponseHeaders()"><CODE>HttpMethod.getResponseHeaders()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getURL()"><!-- --></A><H3>
getURL</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URL.html" title="class or interface in java.net">URL</A> <B>getURL</B>()</PRE>
<DL>
<DD>Return the URL
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getURL()" title="class or interface in java.net">getURL</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>The URL.<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getURL()" title="class or interface in java.net"><CODE>URLConnection.getURL()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setInstanceFollowRedirects(boolean)"><!-- --></A><H3>
setInstanceFollowRedirects</H3>
<PRE>
public void <B>setInstanceFollowRedirects</B>(boolean&nbsp;isFollowingRedirects)</PRE>
<DL>
<DD>Not available: the data must have already been retrieved.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#setInstanceFollowRedirects(boolean)" title="class or interface in java.net">setInstanceFollowRedirects</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html" title="class or interface in java.net">HttpURLConnection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getInstanceFollowRedirects()"><!-- --></A><H3>
getInstanceFollowRedirects</H3>
<PRE>
public boolean <B>getInstanceFollowRedirects</B>()</PRE>
<DL>
<DD>Not yet implemented.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#getInstanceFollowRedirects()" title="class or interface in java.net">getInstanceFollowRedirects</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html" title="class or interface in java.net">HttpURLConnection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setRequestMethod(java.lang.String)"><!-- --></A><H3>
setRequestMethod</H3>
<PRE>
public void <B>setRequestMethod</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;method)
                      throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/ProtocolException.html" title="class or interface in java.net">ProtocolException</A></PRE>
<DL>
<DD>Not available: the data must have already been retrieved.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#setRequestMethod(java.lang.String)" title="class or interface in java.net">setRequestMethod</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html" title="class or interface in java.net">HttpURLConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/ProtocolException.html" title="class or interface in java.net">ProtocolException</A></CODE><DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#setRequestMethod(java.lang.String)" title="class or interface in java.net"><CODE>HttpURLConnection.setRequestMethod(String)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getPermission()"><!-- --></A><H3>
getPermission</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/security/Permission.html" title="class or interface in java.security">Permission</A> <B>getPermission</B>()
                         throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Not yet implemented.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#getPermission()" title="class or interface in java.net">getPermission</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html" title="class or interface in java.net">HttpURLConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE><DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/HttpURLConnection.html#getPermission()" title="class or interface in java.net"><CODE>HttpURLConnection.getPermission()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getContent()"><!-- --></A><H3>
getContent</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> <B>getContent</B>()
                  throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Not yet implemented.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getContent()" title="class or interface in java.net">getContent</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE><DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getContent()" title="class or interface in java.net"><CODE>URLConnection.getContent()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getContent(java.lang.Class[])"><!-- --></A><H3>
getContent</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A> <B>getContent</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>[]&nbsp;classes)
                  throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD>Not yet implemented.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getContent(java.lang.Class[])" title="class or interface in java.net">getContent</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="getOutputStream()"><!-- --></A><H3>
getOutputStream</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A> <B>getOutputStream</B>()
                             throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getOutputStream()" title="class or interface in java.net">getOutputStream</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/IOException.html" title="class or interface in java.io">IOException</A></CODE><DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getOutputStream()" title="class or interface in java.net"><CODE>URLConnection.getOutputStream()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setDoInput(boolean)"><!-- --></A><H3>
setDoInput</H3>
<PRE>
public void <B>setDoInput</B>(boolean&nbsp;isInput)</PRE>
<DL>
<DD>Not available: the data must have already been retrieved.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setDoInput(boolean)" title="class or interface in java.net">setDoInput</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setDoInput(boolean)" title="class or interface in java.net"><CODE>URLConnection.setDoInput(boolean)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getDoInput()"><!-- --></A><H3>
getDoInput</H3>
<PRE>
public boolean <B>getDoInput</B>()</PRE>
<DL>
<DD>Not yet implemented.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getDoInput()" title="class or interface in java.net">getDoInput</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getDoInput()" title="class or interface in java.net"><CODE>URLConnection.getDoInput()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setDoOutput(boolean)"><!-- --></A><H3>
setDoOutput</H3>
<PRE>
public void <B>setDoOutput</B>(boolean&nbsp;isOutput)</PRE>
<DL>
<DD>Not available: the data must have already been retrieved.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setDoOutput(boolean)" title="class or interface in java.net">setDoOutput</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setDoOutput(boolean)" title="class or interface in java.net"><CODE>URLConnection.setDoOutput(boolean)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getDoOutput()"><!-- --></A><H3>
getDoOutput</H3>
<PRE>
public boolean <B>getDoOutput</B>()</PRE>
<DL>
<DD>Not yet implemented.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getDoOutput()" title="class or interface in java.net">getDoOutput</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getDoOutput()" title="class or interface in java.net"><CODE>URLConnection.getDoOutput()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setAllowUserInteraction(boolean)"><!-- --></A><H3>
setAllowUserInteraction</H3>
<PRE>
public void <B>setAllowUserInteraction</B>(boolean&nbsp;isAllowInteraction)</PRE>
<DL>
<DD>Not available: the data must have already been retrieved.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setAllowUserInteraction(boolean)" title="class or interface in java.net">setAllowUserInteraction</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setAllowUserInteraction(boolean)" title="class or interface in java.net"><CODE>URLConnection.setAllowUserInteraction(boolean)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getAllowUserInteraction()"><!-- --></A><H3>
getAllowUserInteraction</H3>
<PRE>
public boolean <B>getAllowUserInteraction</B>()</PRE>
<DL>
<DD>Not yet implemented.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getAllowUserInteraction()" title="class or interface in java.net">getAllowUserInteraction</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getAllowUserInteraction()" title="class or interface in java.net"><CODE>URLConnection.getAllowUserInteraction()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setUseCaches(boolean)"><!-- --></A><H3>
setUseCaches</H3>
<PRE>
public void <B>setUseCaches</B>(boolean&nbsp;isUsingCaches)</PRE>
<DL>
<DD>Not available: the data must have already been retrieved.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setUseCaches(boolean)" title="class or interface in java.net">setUseCaches</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setUseCaches(boolean)" title="class or interface in java.net"><CODE>URLConnection.setUseCaches(boolean)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getUseCaches()"><!-- --></A><H3>
getUseCaches</H3>
<PRE>
public boolean <B>getUseCaches</B>()</PRE>
<DL>
<DD>Not yet implemented.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getUseCaches()" title="class or interface in java.net">getUseCaches</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getUseCaches()" title="class or interface in java.net"><CODE>URLConnection.getUseCaches()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setIfModifiedSince(long)"><!-- --></A><H3>
setIfModifiedSince</H3>
<PRE>
public void <B>setIfModifiedSince</B>(long&nbsp;modificationDate)</PRE>
<DL>
<DD>Not available: the data must have already been retrieved.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setIfModifiedSince(long)" title="class or interface in java.net">setIfModifiedSince</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setIfModifiedSince(long)" title="class or interface in java.net"><CODE>URLConnection.setIfModifiedSince(long)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getIfModifiedSince()"><!-- --></A><H3>
getIfModifiedSince</H3>
<PRE>
public long <B>getIfModifiedSince</B>()</PRE>
<DL>
<DD>Not yet implemented.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getIfModifiedSince()" title="class or interface in java.net">getIfModifiedSince</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getIfModifiedSince()" title="class or interface in java.net"><CODE>URLConnection.getIfModifiedSince()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getDefaultUseCaches()"><!-- --></A><H3>
getDefaultUseCaches</H3>
<PRE>
public boolean <B>getDefaultUseCaches</B>()</PRE>
<DL>
<DD>Not available: the data must have already been retrieved.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getDefaultUseCaches()" title="class or interface in java.net">getDefaultUseCaches</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getDefaultUseCaches()" title="class or interface in java.net"><CODE>URLConnection.getDefaultUseCaches()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setDefaultUseCaches(boolean)"><!-- --></A><H3>
setDefaultUseCaches</H3>
<PRE>
public void <B>setDefaultUseCaches</B>(boolean&nbsp;isUsingCaches)</PRE>
<DL>
<DD>Not available: the data must have already been retrieved.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setDefaultUseCaches(boolean)" title="class or interface in java.net">setDefaultUseCaches</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setDefaultUseCaches(boolean)" title="class or interface in java.net"><CODE>URLConnection.setDefaultUseCaches(boolean)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setRequestProperty(java.lang.String, java.lang.String)"><!-- --></A><H3>
setRequestProperty</H3>
<PRE>
public void <B>setRequestProperty</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;key,
                               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;value)</PRE>
<DL>
<DD>Not available: the data must have already been retrieved.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setRequestProperty(java.lang.String, java.lang.String)" title="class or interface in java.net">setRequestProperty</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#setRequestProperty(java.lang.String, java.lang.String)" title="class or interface in java.net"><CODE>URLConnection.setRequestProperty(String,String)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="getRequestProperty(java.lang.String)"><!-- --></A><H3>
getRequestProperty</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>getRequestProperty</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;key)</PRE>
<DL>
<DD>Not yet implemented.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getRequestProperty(java.lang.String)" title="class or interface in java.net">getRequestProperty</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html" title="class or interface in java.net">URLConnection</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>See Also:</B><DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/net/URLConnection.html#getRequestProperty(java.lang.String)" title="class or interface in java.net"><CODE>URLConnection.getRequestProperty(String)</CODE></A></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/HttpURLConnection.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/util/ExceptionUtil.html" title="class in org.apache.commons.httpclient.util"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/util/IdleConnectionHandler.html" title="class in org.apache.commons.httpclient.util"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient/util/HttpURLConnection.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="HttpURLConnection.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_java.net.HttpURLConnection">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &copy; 2001-2008 Apache Software Foundation. All Rights Reserved.
</BODY>
</HTML>
